Package org.eclipse.ecf.core.util

# Class AdapterManagerTracker

java.lang.Object
org.osgi.util.tracker.ServiceTracker
org.eclipse.ecf.core.util.AdapterManagerTracker

All Implemented Interfaces:
  `ServiceTrackerCustomizer`

public class AdapterManagerTracker extends ServiceTracker

Since:
  3.4

## Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

## Constructor Summary

Constructors
Constructor
Description
`AdapterManagerTracker(BundleContext context)`
`AdapterManagerTracker(BundleContext context, ServiceTrackerCustomizer customizer)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.IAdapterManager`
`getAdapterManager()`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`addingService, close, getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, modifiedService, open, open, remove, removedService, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdapterManagerTracker

public AdapterManagerTracker(BundleContext context, ServiceTrackerCustomizer customizer)

### AdapterManagerTracker

public AdapterManagerTracker(BundleContext context)

## Method Details

### getAdapterManager

public org.eclipse.core.runtime.IAdapterManager getAdapterManager()